Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Texture::Extensions Class Reference

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions. More...

Inheritance diagram for osg::Texture::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtensions (unsigned int contextID)
void | setMultiTexturingSupported (bool flag)
bool | isMultiTexturingSupported () const
void | setTextureFilterAnisotropicSupported (bool flag)
bool | isTextureFilterAnisotropicSupported () const
void | setTextureCompressionARBSupported (bool flag)
bool | isTextureCompressionARBSupported () const
void | setTextureCompressionS3TCSupported (bool flag)
bool | isTextureCompressionS3TCSupported () const
void | setTextureMirroredRepeatSupported (bool flag)
bool | isTextureMirroredRepeatSupported () const
void | setTextureEdgeClampSupported (bool flag)
bool | isTextureEdgeClampSupported () const
void | setTextureBorderClampSupported (bool flag)
bool | isTextureBorderClampSupported () const
void | setGenerateMipMapSupported (bool flag)
bool | isGenerateMipMapSupported () const
void | setShadowSupported (bool flag)
bool | isShadowSupported () const
void | setShadowAmbientSupported (bool flag)
bool | isShadowAmbientSupported () const
void | setMaxTextureSize (GLint maxsize)
GLint | maxTextureSize () const
void | setNumTextureUnits (GLint nunits)
GLint | numTextureUnits () const
bool | isCompressedTexImage2DSupported () const
void | setCompressedTexImage2DProc (void *ptr)
void | glCompressedTexImage2D (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data) const
void | setCompressedTexSubImage2DProc (void *ptr)
void | glCompressedTexSubImage2D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei type, const GLvoid *data) const
void | setGetCompressedTexImageProc (void *ptr)
void | glGetCompressedTexImage (GLenum target, GLint level, GLvoid *data) const
bool | isClientStorageSupported () const
bool | isNonPowerOfTwoTextureSupported (GLenum filter) const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isMultiTexturingSupported
bool | _isTextureFilterAnisotropicSupported
bool | _isTextureCompressionARBSupported
bool | _isTextureCompressionS3TCSupported
bool | _isTextureMirroredRepeatSupported
bool | _isTextureEdgeClampSupported
bool | _isTextureBorderClampSupported
bool | _isGenerateMipMapSupported
bool | _isShadowSupported
bool | _isShadowAmbientSupported
bool | _isClientStorageSupported
bool | _isNonPowerOfTwoTextureMipMappedSupported
bool | _isNonPowerOfTwoTextureNonMipMappedSupported
GLint | _maxTextureSize
GLint | _numTextureUnits
void * | _glCompressedTexImage2D
void * | _glCompressedTexSubImage2D
void * | _glGetCompressedTexImage

## Detailed Description

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions.

## Constructor & Destructor Documentation

osg::Texture::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::Texture::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::Texture::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osg::Texture::Extensions::glCompressedTexImage2D | ( | GLenum | target,
|  | GLint | level,
|  | GLenum | internalformat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLint | border,
|  | GLsizei | imageSize,
|  | const GLvoid * | data
| ) | const

void osg::Texture::Extensions::glCompressedTexSubImage2D | ( | GLenum | target,
|  | GLint | level,
|  | GLint | xoffset,
|  | GLint | yoffset,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLenum | format,
|  | GLsizei | type,
|  | const GLvoid * | data
| ) | const

void osg::Texture::Extensions::glGetCompressedTexImage | ( | GLenum | target,
|  | GLint | level,
|  | GLvoid * | data
| ) | const

bool osg::Texture::Extensions::isClientStorageSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isCompressedTexImage2DSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isGenerateMipMapSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isMultiTexturingSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isNonPowerOfTwoTextureSupported | ( | GLenum | filter | ) | const`[inline]`

bool osg::Texture::Extensions::isShadowAmbientSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isShadowSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isTextureBorderClampSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isTextureCompressionARBSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isTextureCompressionS3TCSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isTextureEdgeClampSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isTextureFilterAnisotropicSupported | ( |  | ) | const`[inline]`

bool osg::Texture::Extensions::isTextureMirroredRepeatSupported | ( |  | ) | const`[inline]`

void osg::Texture::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

GLint osg::Texture::Extensions::maxTextureSize | ( |  | ) | const`[inline]`

GLint osg::Texture::Extensions::numTextureUnits | ( |  | ) | const`[inline]`

void osg::Texture::Extensions::setCompressedTexImage2DProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture::Extensions::setCompressedTexSubImage2DProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture::Extensions::setGenerateMipMapSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setGetCompressedTexImageProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture::Extensions::setMaxTextureSize | ( | GLint | maxsize | ) | `[inline]`

void osg::Texture::Extensions::setMultiTexturingSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setNumTextureUnits | ( | GLint | nunits | ) | `[inline]`

void osg::Texture::Extensions::setShadowAmbientSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setShadowSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setTextureBorderClampSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setTextureCompressionARBSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setTextureCompressionS3TCSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setTextureEdgeClampSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setTextureFilterAnisotropicSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setTextureMirroredRepeatSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture::Extensions::setupGLExtensions | ( | unsigned int | contextID | ) |

## Member Data Documentation

void* osg::Texture::Extensions::_glCompressedTexImage2D`[protected]`

void* osg::Texture::Extensions::_glCompressedTexSubImage2D`[protected]`

void* osg::Texture::Extensions::_glGetCompressedTexImage`[protected]`

bool osg::Texture::Extensions::_isClientStorageSupported`[protected]`

bool osg::Texture::Extensions::_isGenerateMipMapSupported`[protected]`

bool osg::Texture::Extensions::_isMultiTexturingSupported`[protected]`

bool osg::Texture::Extensions::_isNonPowerOfTwoTextureMipMappedSupported`[protected]`

bool osg::Texture::Extensions::_isNonPowerOfTwoTextureNonMipMappedSupported`[protected]`

bool osg::Texture::Extensions::_isShadowAmbientSupported`[protected]`

bool osg::Texture::Extensions::_isShadowSupported`[protected]`

bool osg::Texture::Extensions::_isTextureBorderClampSupported`[protected]`

bool osg::Texture::Extensions::_isTextureCompressionARBSupported`[protected]`

bool osg::Texture::Extensions::_isTextureCompressionS3TCSupported`[protected]`

bool osg::Texture::Extensions::_isTextureEdgeClampSupported`[protected]`

bool osg::Texture::Extensions::_isTextureFilterAnisotropicSupported`[protected]`

bool osg::Texture::Extensions::_isTextureMirroredRepeatSupported`[protected]`

GLint osg::Texture::Extensions::_maxTextureSize`[protected]`

GLint osg::Texture::Extensions::_numTextureUnits`[protected]`

The documentation for this class was generated from the following file:

- Texture